Bug 252947 - Miro GUI is so slow as to be unusable
Miro GUI is so slow as to be unusable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 04:17 EDT by Allan Engelhardt
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Engelhardt 2007-08-16 04:17:15 EDT
Description of problem:
The Miro application is so slow as to be completely unusable (but only after the
first start)

Version-Release number of selected component (if applicable): Miro.x86_64
0.9.8.1-1.fc7


How reproducible: Completely


Steps to Reproduce:
1. $ rm -f ~/.miro ~/.gconf/apps/miro/
2. $ miro
3. Exit the miro application (but see Bug 252944)
4. $ miro
5. Wait a few seconds
6. Try to clich on the tree view on the left hand side. 
  
Actual results:
Nothing appears to happen.  The output from the application shows that it does
receive the events, but also that it takes the application > 20 seconds to
respond to a single GUI event.

INFO     got
action:handleSelect?area=tablist&viewName=staticTabs&id=9317&shiftDown=0&ctrlDown=0
INFO     got
action:handleSelect?area=tablist&viewName=staticTabs&id=9318&shiftDown=0&ctrlDown=0
INFO     got
action:handleSelect?area=tablist&viewName=staticTabs&id=9316&shiftDown=0&ctrlDown=0
INFO     got
action:handleSelect?area=tablist&viewName=staticTabs&id=9315&shiftDown=0&ctrlDown=0
TIMING   dispatch action handleSelect too slow (25.112 secs)
TIMING   idle (dispatchAction() (using asUrgent)) too slow (25.127 secs)
TIMING   idle (dispatchAction() (using asUrgent)) cumulative is too slow (25.252
secs)
TIMING   dispatch action handleSelect too slow (4.556 secs)
TIMING   idle (dispatchAction() (using asUrgent)) too slow (4.557 secs)


Expected results:
A working GUI.

Additional info:
There are scores of m/TIMING .* too slow/ messages on the terminal.
Comment 1 Alex Lancaster 2007-11-16 21:52:02 EST
Can you reproduce this bug with the latest Miro in F-7 which is 0.9.9.9? (yum
update)
Comment 2 Brian Powell 2008-04-25 00:25:33 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.